> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a store credit

> Create a store credit

### Request body

`CreateStoreCreditRequest`

<ParamField body="amount" type="string" required />

<ParamField body="currency" type="string,null" />

<ParamField body="customer_id" type="string (uuid)" required />

<ParamField body="note" type="string,null" />

<ParamField body="reason" type="string,null" />

### Responses

<ResponseField name="201" type="StoreCreditResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/store-credits' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "amount": "string",
    "currency": null,
    "customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "note": null,
    "reason": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "created_at": "string",
    "currency": "string",
    "current_balance": "string",
    "customer_id": "string",
    "id": "string",
    "original_balance": "string",
    "reason": "string",
    "status": "string"
  }
  ```
</ResponseExample>
